Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 610259 - [RFE] add the ability to provide %post...%end to kickstartd from job xml
[RFE] add the ability to provide %post...%end to kickstartd from job xml
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.5
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 16:54 EDT by Martin Jenner
Modified: 2011-06-13 14:45 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 13:56:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Jenner 2010-07-01 16:54:39 EDT
[RFE] to add the ability to provide kickstart %post...%end sections snippets to the kickstart that would be used to install a system. 

The kickstart post sections would be added to the job xml from a user perspective.

This should work for <recipe> and <guestrecipe>, my use case comes from a <guestrecipe> where I would like to add call backs to the host system installing the virtual machine.

If some pointer can be proved in this bz where to look in the fredorahosted beaker code base I may be able to provide a resource to do the coding and provide a patch for review for this request.
Comment 1 Martin Jenner 2010-07-02 12:32:30 EDT
On reflection it might make sense implementing a more generic use case instead of specifically for %post...%end make is just kickstart append entries the user can place anything legal that could be appended to a kickstart. The update should allow for people to add multiple snippets in there job.xml


<kickstart_append>
%post
.
.
%end
</kickstart_append>

<kickstart_append>
%pre
.
.
%end
</kickstart_append>

<kickstart_append>
%packages
.
.
%end
</kickstart_append>

Thoughts ?
Comment 2 Bill Peck 2010-07-02 12:38:37 EDT
I agree with you Martin.  having <kickstart_append> node(s) makes much more sense.
Comment 3 Bill Peck 2010-07-30 11:01:39 EDT
<ks_appends>
 <ks_append>
<![CDATA[
%pre
# This happens in pre section of kickstart
%end
]]>
 </ks_append>
 <ks_append>
<![CDATA[
%post
# This happens in post section of kickstart
%end
]]>
 </ks_append>
 <ks_append>
<![CDATA[
%packages
# This adds an additional packages section to kickstart
%end
]]>
 </ks_append>
</ks_appends>

Note You need to log in before you can comment on or make changes to this bug.